Sender IDs
Phone number lists
OTP templates
Access to the Management API is opt-in. Contact our support team to enable it on your account.
Sender ID endpoints
- List available sender IDs:
GET /v2/verification/management/sender-id - Submit a sender ID:
POST /v2/verification/management/sender-id
Template endpoints
- List OTP templates:
GET /v2/verification/management/templates - Create an OTP template:
POST /v2/verification/management/templates - Retrieve an OTP template:
GET /v2/verification/management/templates/{template_id} - Update an OTP template:
PATCH /v2/verification/management/templates/{template_id} - Delete an OTP template:
DELETE /v2/verification/management/templates/{template_id}
Phone number endpoints
All three endpoints take an{action} path parameter that must be either allow or block.
- Get phone numbers:
GET /v2/verification/management/phone-numbers/{action} - Add a phone number:
POST /v2/verification/management/phone-numbers/{action} - Delete a phone number:
DELETE /v2/verification/management/phone-numbers/{action}